﻿.searchbar {
    position: relative;
    min-width: 50px;
    width: 0%;
    height: 50px;
    float: right;
    overflow: hidden;
    -webkit-transition: width 0.3s;
    -moz-transition: width 0.3s;
    -ms-transition: width 0.3s;
    -o-transition: width 0.3s;
    transition: width 0.3s
}

.searchbar-input {
    top: 0;
    right: 0;
    border: 0;
    outline: 0;
    width: 100%;
    height: 50px;
    margin: 0;
    padding: 0px 55px 0px 20px;
    font-size: 20px;

}



.searchbar-icon,
.searchbar-submit {
    width: 50px;
    height: 50px;
    display: block;
    position: absolute;
    top: 0;
    font-family: verdana;
    font-size: 22px;
    right: 0;
    padding: 0;
    margin: 0;
    border: 0;
    outline: 0;
    line-height: 50px;
    text-align: center;
    cursor: pointer;
    border-left: 1px solid white
}

.searchbar-icon-button{
    width: 50px;
    height: 50px;
    display: none;
    position: absolute;
    top: 0;
    font-family: verdana;
    font-size: 22px;
    right: 0;
    padding: 0;
    margin: 0;
    border: 0;
    outline: 0;
    line-height: 50px;
    text-align: center;
    cursor: pointer;
    border-left: 1px solid white
}

.searchbar-open {
    width: 100%
}
